CVE-2016-9102

NameCVE-2016-9102
DescriptionMemory leak in the v9fs_xattrcreate function in hw/9pfs/9p.c in QEMU (aka Quick Emulator) allows local guest OS administrators to cause a denial of service (memory consumption and QEMU process crash) via a large number of Txattrcreate messages with the same fid number.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1599-1, DLA-689-1, DLA-698-1
NVD severitylow (attack range: local)
Debian Bugs842463

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
qemu (PTS)jessie1:2.1+dfsg-12+deb8u6vulnerable
jessie (security)1:2.1+dfsg-12+deb8u11fixed
stretch, stretch (security)1:2.8+dfsg-6+deb9u5fixed
buster, sid1:3.1+dfsg-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
qemusource(unstable)1:2.8+dfsg-1low842463
qemusourcejessie1:2.1+dfsg-12+deb8u8lowDLA-1599-1
qemusourcewheezy1.1.2+dfsg-6+deb7u18lowDLA-698-1
qemu-kvmsource(unstable)(unfixed)low
qemu-kvmsourcewheezy1.1.2+dfsg-6+deb7u18lowDLA-689-1

Notes

https://lists.gnu.org/archive/html/qemu-devel/2016-10/msg01861.html
https://bugzilla.redhat.com/show_bug.cgi?id=1389550
http://www.openwall.com/lists/oss-security/2016/10/27/15
http://git.qemu.org/?p=qemu.git;a=commit;h=ff55e94d23ae94c8628b0115320157c763eb3e06

Search for package or bug name: Reporting problems